Run in Apidog
Updates properties of an existing project. Only the fields provided are changed; omitted fields remain unchanged. Requires either an ID or an external ID to identify the customer.
Request Body Params application/json Required
{
"external_id" : "PROJ-1001" ,
"name" : "Riverside Office HVAC Retrofit" ,
"start_date" : "2019-08-24" ,
"account_customer" : "80" ,
"division" : "66" ,
"managers" : [
"65"
] ,
"id" : "2001"
} Request Code Samples
curl --location --request PATCH 'https://app.fieldinsight.com/public-api//projects/' \
--header 'Content-Type: application/json' \
--data '{
"external_id": "PROJ-1001",
"name": "Riverside Office HVAC Retrofit",
"start_date": "2019-08-24",
"account_customer": "80",
"division": "66",
"managers": [
"65"
],
"id": "2001"
}' Modified at 2026-10-30 03:40:11